Skip to main content
GET
/
api
/
v1
/
disputes
List disputes
curl --request GET \
  --url https://payments.oaknetwork.org/api/v1/disputes \
  --header 'Authorization: Bearer <token>'
{
  "msg": "<string>",
  "data": {
    "count": 123,
    "dispute_list": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "status": "<string>",
        "transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "amount": 123,
        "currency": "<string>",
        "reason": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer

Query Parameters

limit
integer
default:10

Number of records to return per page

Required range: x >= 1
offset
integer
default:0

Number of records to skip

Required range: x >= 0
strict
boolean

Enforce limit restrictions

Response

200 - application/json

Dispute list

msg
string
required

Human-readable message describing the result

data
object
required

Response payload (null on error)